# Uses of Interface
javax.security.auth.login.Configuration.Parameters

Packages that use Configuration.Parameters
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.security.auth.login
This package provides a pluggable authentication framework.

## Uses of Configuration.Parameters in java.security

Classes in java.security that implement Configuration.Parameters
Modifier and Type
Class
Description
`class`
`URIParameter`
A parameter that contains a URI pointing to data intended for a PolicySpi or ConfigurationSpi implementation.

## Uses of Configuration.Parameters in javax.security.auth.login

Methods in javax.security.auth.login that return Configuration.Parameters
Modifier and Type
Method
Description
`Configuration.Parameters`
Configuration.`getParameters()`
Return Configuration parameters.
Methods in javax.security.auth.login with parameters of type Configuration.Parameters
Modifier and Type
Method
Description
`static Configuration`
Configuration.`getInstance​(String type, Configuration.Parameters params)`
Returns a Configuration object of the specified type.
`static Configuration`
Configuration.`getInstance​(String type, Configuration.Parameters params, String provider)`
Returns a Configuration object of the specified type.
`static Configuration`
Configuration.`getInstance​(String type, Configuration.Parameters params, Provider provider)`
Returns a Configuration object of the specified type.